Windows Server 2003 SP1 Patches

Posted on January 8, 2009 by Daniel Petri in Windows Server 2003 with 0 Comments

 

You should consider installing Service Pack 1 as soon as possible

During March 2005 Microsoft released SP1 for Windows Server 2003. SP1 is the latest collection of updates for Windows Server 2003.

To download SP1 for Windows Server 2003:

The Network Installation is ideal for IT professionals installing SP1 on multiple computers.

See the Windows 2003 SP1 Slipstreaming page for info on how to integrate SP1 into your existing media.

Required Patches

Windows Server 2003, Standard and Enterprise editions running SP1 require the following security-related patches:

Make sure you read Internet Explorer 6 on Windows Server 2003 Patches before you go on.

October 2005

MS05-051 : Vulnerabilities in MSDTC and COM+ Could Allow Remote Code Execution (902400)

MS05-050 : Vulnerability in DirectShow Could Allow Remote Code Execution (904706)

MS05-049 : Vulnerabilities in Windows Shell Could Allow Remote Code Execution (900725)

MS05-048 : Vulnerability in the Microsoft Collaboration Data Objects Could Allow Remote Code Execution (907245)

MS05-046 : Vulnerability in the Client Service for NetWare Could Allow Remote Code Execution (899589)

MS05-045 : Vulnerability in Network Connection Manager Could Allow Denial of Service (905414)

August 2005

MS05-042 : Vulnerabilities in Kerberos Could Allow Denial of Service, Information Disclosure, and Spoofing (899587)

MS05-041 : Vulnerability in Remote Desktop Protocol Could Allow Denial of Service (899591)

MS05-040 : Vulnerability in Telephony Service Could Allow Remote Code Execution (893756)

MS05-039 : Vulnerability in Plug and Play Could Allow Remote Code Execution and Elevation of Privilege (899588)

July 2005

MS05-036 : Vulnerability in Microsoft Color Management Module Could Allow Remote Code Execution (901214)

June 2005

MS05-033 : Vulnerability in Telnet Client Could Allow Information Disclosure (896428)

MS05-032 : Vulnerability in Microsoft Agent Could Allow Spoofing (890046)

MS05-031 : Vulnerability in Step-by-Step Interactive Training Could Allow Remote Code Execution (898458)

MS05-027 : Vulnerability in Server Message Block Could Allow Remote Code Execution (896422)

MS05-026 : Vulnerability in HTML Help Could Allow Remote Code Execution (896358)

Sponsored